Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.requests
Class GetDataPropertiesBetween

    java.lang.Object
      org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest<SetOfDataPropertySynsets>
          org.semanticweb.owlapi.owllink.builtin.requests.GetDataPropertiesBetween

All Implemented Interfaces:
  KBRequest<SetOfDataPropertySynsets>, Request<SetOfDataPropertySynsets>

    public class GetDataPropertiesBetween

extends AbstractKBRequest<SetOfDataPropertySynsets>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 23.10.2009

Constructor Summary
`GetDataPropertiesBetween(IRI kb, OWLIndividual sourceIndividual, OWLLiteral targetValue)`
`GetDataPropertiesBetween(IRI kb, OWLIndividual sourceIndividual, OWLLiteral targetValue, boolean isNegative)`

Method Summary
`void` | `accept(RequestVisitor visitor)`
`OWLIndividual` | `getSourceIndividual()`
`OWLLiteral` | `getTargetValue()`
`boolean` | `isNegative()`

Methods inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest
`getKB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetDataPropertiesBetween

    public GetDataPropertiesBetween(IRI kb,
                                    OWLIndividual sourceIndividual,
                                    OWLLiteral targetValue)

### GetDataPropertiesBetween

    public GetDataPropertiesBetween(IRI kb,
                                    OWLIndividual sourceIndividual,
                                    OWLLiteral targetValue,
                                    boolean isNegative)

Method Detail

### getTargetValue

    public OWLLiteral getTargetValue()

### getSourceIndividual

    public OWLIndividual getSourceIndividual()

### isNegative

    public boolean isNegative()

### accept

    public void accept(RequestVisitor visitor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD